package com.iamberry.wechat.face.rewards;

import com.iamberry.wechat.core.entity.rewards.RewardsRank;
import java.util.List;

/**
 * 会员等级 会员分销奖励记录 service
 * 2016年9月20日
 * @author Administrator
 *
 */
public interface RewardsService {
	/**
	 * 查询所有 分销奖励
	 * @return
	 */
	public List<RewardsRank> selectRewardsList();
	
	/**
	 * 添加一个分销奖励规则
	 * @param rewardsRank
	 * @return
	 */
	public Integer insertRewardsRank(RewardsRank rewardsRank);
	
	/**
	 * 根据id查询一个分销奖励规则
	 * 2016年9月20日
	 * @return
	 */
	public RewardsRank selectRewardsRankById(Integer rankId);
	
	/**
	 * 根据id修改一个分销奖励规则
	 * 2016年9月20日
	 * @return
	 */
	public Integer updateRewardsRank(RewardsRank rewardsRank);
	
	/**
	 * 根据id删除一个分销奖励规则
	 * 2016年9月20日
	 * @param rewardsRank
	 * @return
	 */
	public Integer deleteRewardsRankById(RewardsRank rewardsRank);
	/**
	 * 根据产品类型查询会员等级表
	 * @param rewardsRank
	 * @return
	 */
	public List<RewardsRank> getRankByRankProductType(RewardsRank rewardsRank);
}
